## kscreenlocker 5.5.5

=== CMakeLists.txt ===
set(PROJECT_VERSION "5.5.5")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

set(QT_MIN_VERSION "5.4.0")
set(KF5_MIN_VERSION "5.15.0")
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Widgets Quick QuickWidgets Test)
find_package(ECM 1.8.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CheckIncludeFiles)
include(ECMMarkNonGuiExecutable)
include(ECMPackageConfigHelpers)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
                    Plasma KCMUtils Declarative IdleTime KDELibs4Support Crash GlobalAccel)

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "http://www.x.org"
                        TYPE REQUIRED
                        PURPOSE "Required for building the X11 based workspace")

find_package(XCB MODULE REQUIRED COMPONENTS XCB KEYSYMS)
set_package_properties(XCB PROPERTIES TYPE REQUIRED)
add_feature_info("XInput" X11_Xinput_FOUND "Required for grabbing XInput2 devices in the screen locker")

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS X11Extras)

find_package(KF5Wayland CONFIG REQUIRED)
set_package_properties(KF5Wayland PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required for building screenlocker")
find_package(WaylandScanner)
find_package(Wayland 1.3 COMPONENTS Client Server)

set_package_properties(Wayland PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required for building screenlocker")

include(ConfigureChecks.cmake)

configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)

# adjusting CMAKE_C_FLAGS to get wayland protocols to compile
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX KSCREENLOCKER
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kscreenlocker_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfigVersion.cmake"
                        SOVERSION 5)

configure_file(config-kscreenlocker.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kscreenlocker.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(KSLD_INCLUDEDIR "${CMAKE_INSTALL_INCLUDEDIR}/KScreenLocker")

add_subdirectory(kcheckpass)
add_subdirectory(greeter)
add_subdirectory(kcm)

add_definitions(-DTRANSLATION_DOMAIN=\"kscreenlocker\")

set(screensaver_dbusXML dbus/org.freedesktop.ScreenSaver.xml)
set(kscreensaver_dbusXML dbus/org.kde.screensaver.xml)
set(powerdevilpolicyagent_xml ${KDE4_DBUS_INTERFACES_DIR}/kf5_org.kde.Solid.PowerManagement.PolicyAgent.xml)

set(ksld_SRCS
   abstractlocker.cpp
   ksldapp.cpp
   interface.cpp
   globalaccel.cpp
   x11locker.cpp
   waylandlocker.cpp
   logind.cpp
   waylandserver.cpp
)
qt5_add_dbus_adaptor(ksld_SRCS ${screensaver_dbusXML} interface.h ScreenLocker::Interface)
qt5_add_dbus_adaptor(ksld_SRCS ${kscreensaver_dbusXML} interface.h ScreenLocker::Interface kscreensaveradaptor KScreenSaverAdaptor)
kconfig_add_kcfg_files(ksld_SRCS kcfg/kscreensaversettings.kcfgc)
qt5_add_dbus_interface(ksld_SRCS ${powerdevilpolicyagent_xml} powerdevilpolicyagent)

ecm_add_wayland_server_protocol(ksld_SRCS
    PROTOCOL protocols/ksld.xml
    BASENAME ksld
)

add_library(KScreenLocker SHARED ${ksld_SRCS})

target_link_libraries(KScreenLocker
PUBLIC
   Qt5::Core
   Qt5::X11Extras
PRIVATE
   KF5::I18n
   KF5::IdleTime
   KF5::GlobalAccel
   KF5::Notifications
   KF5::XmlGui
   KF5::Crash
   KF5::WindowSystem
   ${X11_LIBRARIES}
   ${X11_Xcursor_LIB}
   XCB::XCB
   XCB::KEYSYMS
   KF5::WaylandServer
   Wayland::Server
)

if (X11_Xinput_FOUND)
    target_link_libraries(KScreenLocker PRIVATE ${X11_Xinput_LIB})
endif()

target_include_directories(KScreenLocker INTERFACE "$<INSTALL_INTERFACE:${KSLD_INCLUDEDIR}>")

# Needed to compile on Arm target.
set_target_properties(KScreenLocker PROPERTIES COMPILE_FLAGS "-fPIC")

add_library(PW::KScreenLocker ALIAS KScreenLocker)

generate_export_header(KScreenLocker
    BASE_NAME KScreenLocker
    EXPORT_MACRO_NAME KSCREENLOCKER_EXPORT
    EXPORT_FILE_NAME KScreenLocker/kscreenlocker_export.h
)

ecm_configure_package_config_file(ScreenSaverDBusInterfaceConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/ScreenSaverDBusInterfaceConfig.cmake
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/ScreenSaverDBusInterface")

set_target_properties(KScreenLocker PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})

install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/ScreenSaverDBusInterfaceConfig.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/ScreenSaverDBusInterface")

ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KScreenLockerConfig.cmake.in"
								  "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfig.cmake"
								  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/KScreenLocker")

install(TARGETS KScreenLocker EXPORT KScreenLockerTargets ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY)
install(EXPORT KScreenLockerTargets DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/KScreenLocker" FILE KScreenLockerTargets.cmake NAMESPACE PW::)

ecm_generate_headers(KScreenLocker_CamelCase_HEADERS
    HEADER_NAMES
        KsldApp
    REQUIRED_HEADERS KScreenLocker_HEADERS)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/KScreenLocker/kscreenlocker_export.h
        ${KScreenLocker_CamelCase_HEADERS}
        ${KScreenLocker_HEADERS}
    DESTINATION
        ${KSLD_INCLUDEDIR}/KScreenLocker
    COMPONENT Devel)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfig.cmake"
			  "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfigVersion.cmake"
		DESTINATION "${CMAKECONFIG_INSTALL_PREFIX}/KScreenLocker"
		COMPONENT Devel)

install(FILES kscreenlocker.notifyrc  DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR} RENAME ksmserver.notifyrc)
install(FILES ${screensaver_dbusXML}
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
        RENAME kf5_org.freedesktop.ScreenSaver.xml)


install(FILES   updaters/kscreenlocker.upd DESTINATION ${KDE_INSTALL_DATADIR}/kconf_update)
install(PROGRAMS updaters/ksreenlocker_5_3_separate_autologin.pl
                DESTINATION ${KDE_INSTALL_DATADIR}/kconf_update)

add_subdirectory(autotests)
add_subdirectory(tests)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== autotests/CMakeLists.txt ===
add_definitions(-DKSCREENLOCKER_UNIT_TEST)
include(ECMMarkAsTest)

#######################################
# LogindTest
#######################################
set(logindTest_SRCS
    logindtest.cpp
    fakelogind.cpp
    ../logind.cpp
)
add_executable(logindTest ${logindTest_SRCS})
target_link_libraries(logindTest Qt5::DBus Qt5::Test KF5::I18n)
add_test(ksmserver-logindTest logindTest)
ecm_mark_as_test(logindTest)

#######################################
# KSldTest
#######################################
add_executable(ksldTest ksldtest.cpp)
target_link_libraries(ksldTest Qt5::Test KScreenLocker)
add_test(ksmserver-ksldTest ksldTest)
ecm_mark_as_test(ksldTest)

#######################################
# KeyboardGrabber
#######################################
add_executable(keyboardGrabber keyboardgrabber.cpp)
target_link_libraries(keyboardGrabber Qt5::Core XCB::XCB)
ecm_mark_as_test(keyboardGrabber)

#######################################
# PointerGrabber
#######################################
add_executable(pointerGrabber pointergrabber.cpp)
target_link_libraries(pointerGrabber Qt5::Core XCB::XCB)
ecm_mark_as_test(pointerGrabber)

#######################################
# LockWindowTest
#######################################
set(x11LockerTest_SRCS x11lockertest.cpp ../x11locker.cpp ../globalaccel.cpp ../abstractlocker.cpp)
add_executable(x11LockerTest ${x11LockerTest_SRCS})
target_link_libraries(x11LockerTest
    KF5::GlobalAccel
    KF5::I18n
    KF5::WindowSystem
    Qt5::Test
    Qt5::X11Extras
    Qt5::Widgets
    ${X11_LIBRARIES}
    XCB::XCB
    XCB::KEYSYMS
)
add_test(ksmserver-x11LockerTest x11LockerTest)
ecm_mark_as_test(x11LockerTest)

=== kcm/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"screenlocker_kcm\")

set(screenlocker_kcm_SRCS
    kcm.cpp
    selectimagebutton.cpp
)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../)

ki18n_wrap_ui(screenlocker_kcm_SRCS kcm.ui)
kconfig_add_kcfg_files(screenlocker_kcm_SRCS ../kcfg/kscreensaversettings.kcfgc)
qt5_add_dbus_interface(screenlocker_kcm_SRCS ../dbus/org.kde.screensaver.xml screenlocker_interface)

add_library(screenlocker_kcm MODULE ${screenlocker_kcm_SRCS})

target_link_libraries(screenlocker_kcm
    Qt5::DBus
    KF5::ConfigWidgets
    KF5::I18n
    KF5::GlobalAccel
    KF5::Package
    KF5::XmlGui
    Qt5::QuickWidgets
)

kcoreaddons_desktop_to_json(screenlocker_kcm screenlocker.desktop)

install(
    TARGETS
        screenlocker_kcm
    DESTINATION
        ${KDE_INSTALL_PLUGINDIR}
)

install(
    FILES
        screenlocker.desktop
    DESTINATION
        ${KDE_INSTALL_KSERVICES5DIR}
)

plasma_install_package(package screenlocker_kcm kcms screenlocker_kcm)

=== tests/CMakeLists.txt ===
add_executable(kscreenlocker_test kscreenlocker_main.cpp)
target_link_libraries(kscreenlocker_test KScreenLocker Qt5::Widgets KF5::I18n)
ecm_mark_as_test(kscreenlocker_test)

=== greeter/autotests/CMakeLists.txt ===
add_definitions(-DKSCREENLOCKER_UNIT_TEST)
include(ECMMarkAsTest)

#####################################
# fakekcheckpass
#####################################
add_executable(fakekcheckpass fakekcheckpass.c)
ecm_mark_nongui_executable(fakekcheckpass)
target_link_libraries(fakekcheckpass ${SOCKET_LIBRARIES})

#######################################
# AuthenticatorTest
#######################################
set( authenticatorTest_SRCS
     authenticatortest.cpp
     ../authenticator.cpp
)
add_executable(authenticatorTest ${authenticatorTest_SRCS})
target_link_libraries(authenticatorTest Qt5::Test)
add_test(ksmserver-authenticatorTest authenticatorTest)
ecm_mark_as_test(authenticatorTest)

#######################################
# KillTest
#######################################
add_executable(killTest killtest.cpp)
ecm_mark_as_test(killTest)
target_link_libraries(killTest Qt5::Test)

=== debian/changelog ===
kscreenlocker (5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:41:53 -0700

kscreenlocker (5.5.4-0ubuntu1) xenial; urgency=medium

  [Rohan Garg]
  * Initial release

  [Scarlett Clark]
  * Add missing dependency for plasma-framework-dev
  * Few more missing dependencies.
  * Add some descriptions.
  * Add XtestSuite.
  * Add test files.
  * Clean up tests. Disable tests at buildtime.
  * Adjust install file.

  [ Maximiliano Curia ]
  * New upstream release (5.5.0)
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).

  [ Philip Muškovac ]
  * libkscreenlocker5 breaks/replaces plasma-workspace << 4:5.5~ 
  * kde-config-screenlocker breaks/replaces plasma-workspace << 4:5.5~ 

  [ Clive Johnston ]
  * New upstream release
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:22:54 +0100

=== debian/control ===
Source: kscreenlocker
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.18.0~),
               kwayland-dev (>= 4:5.5.5~),
               libkf5crash-dev (>= 5.18.0~),
               libkf5declarative-dev (>= 5.18.0~),
               libkf5globalaccel-dev (>= 5.18.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5idletime-dev (>= 5.18.0~),
               libkf5kcmutils-dev (>= 5.18.0~),
               libkf5kdelibs4support-dev (>= 5.18.0~),
               libpam0g-dev,
               libqt5x11extras5-dev (>= 5.4.0~),
               libwayland-dev (>= 1.3~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb1-dev,
               libxcursor-dev,
               pkg-config,
               pkg-kde-tools,
               plasma-framework-dev (>= 5.18.0~),
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4.0~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/kscreenlocker
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kscreenlocker.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/kscreenlocker.git;a=summary

Package: kscreenlocker-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkscreenlocker5 (= ${binary:Version}), ${misc:Depends}
Description: Development files for kscreenlocker
 Library and components for secure lock screen architecture.
 .
 This package contains development files for kscreenlocker.

Package: libkscreenlocker5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-config-screenlocker
Breaks: plasma-workspace (<< 4:5.5~)
Replaces: plasma-workspace (<< 4:5.5~)
Multi-Arch: same
Description: Secure lock screen architecture
 Library and components for secure lock screen architecture.

Package: kde-config-screenlocker
Architecture: any
Depends: libkscreenlocker5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-workspace (<< 4:5.5~)
Replaces: plasma-workspace (<< 4:5.5~)
Description: KCM Module for kscreenlocker
 KDE systemsettings module to configure kscreenlocker

Package: kscreenlocker-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libkscreenlocker5 (= ${binary:Version}), ${misc:Depends}
Description: Debug files for kscreenlocker.
 Library and components for secure lock screen architecture.
 .
 This package contains debug files for kscreenlocker.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kscreenlocker-dbg

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox,
         kded5, libkf5service-bin
Restrictions: rw-build-tree

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d.]+)/kscreenlocker-([\d.]+)\.tar\.xz
http://download.kde.org/stable/plasma/([\d.]+)/kscreenlocker-([\d.]+)\.tar\.xz

## kscreenlocker 5.7.5

=== debian/changelog ===
kscreenlocker (5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:27:03 -0500

kscreenlocker (5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:05:35 +0000

kscreenlocker (5.6.5-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release (5.6.5)

  [ Rik Mills ]
  * Add build dep on libxcb-xtest0-dev

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:45:34 +0100

kscreenlocker (5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Fixing install file

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:18:57 -0700

=== debian/control ===
--- 
+++ 
@@ -5,31 +5,33 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               kwayland-dev (>= 4:5.5.5~),
-               libkf5crash-dev (>= 5.18.0~),
-               libkf5declarative-dev (>= 5.18.0~),
-               libkf5globalaccel-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5idletime-dev (>= 5.18.0~),
-               libkf5kcmutils-dev (>= 5.18.0~),
-               libkf5kdelibs4support-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               kwayland-dev (>= 4:5.24.0~),
+               libkf5crash-dev (>= 5.24.0~),
+               libkf5declarative-dev (>= 5.24.0~),
+               libkf5globalaccel-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5idletime-dev (>= 5.24.0~),
+               libkf5kcmutils-dev (>= 5.24.0~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
                libpam0g-dev,
-               libqt5x11extras5-dev (>= 5.4.0~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libwayland-dev (>= 1.3~),
                libx11-dev,
                libxcb-keysyms1-dev,
+               libxcb-xtest0-dev,
                libxcb1-dev,
                libxcursor-dev,
+               libxi-dev,
                pkg-config,
                pkg-kde-tools,
-               plasma-framework-dev (>= 5.18.0~),
-               qtbase5-dev (>= 5.4.0~),
-               qtdeclarative5-dev (>= 5.4.0~)
+               plasma-framework-dev (>= 5.24.0~),
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/kscreenlocker
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kscreenlocker.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/kscreenlocker.git;a=summary
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
 
 Package: kscreenlocker-dev
 Section: libdevel

## kscreenlocker 5.8.6

=== debian/changelog ===
kscreenlocker (5.8.6-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 15 Mar 2017 09:10:42 +0100

kscreenlocker (5.8.6-1) experimental; urgency=medium

  * New upstream release (5.8.6)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 15 Mar 2017 09:02:11 +0100

kscreenlocker (5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:16 +0100

kscreenlocker (5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:36:24 +0100

kscreenlocker (5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:21:16 +0200

kscreenlocker (5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 22:58:06 +0200

kscreenlocker (5.8.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.8.0)
  * Update build-deps and deps with the info from cmake
  * Replace dbus-launch with dbus-run-session in tests
  * Bump group breaks (5.8)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:03:50 +0200

kscreenlocker (5.8.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 30 Sep 2016 11:29:12 +0000

kscreenlocker (5.7.5-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Sep 2016 13:45:25 +0000

kscreenlocker (5.7.4-1) unstable; urgency=medium

  * New upstream release (5.7.4)
  * Bump group breaks (5.7)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Aug 2016 14:48:58 +0200

kscreenlocker (5.7.4-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 23 Aug 2016 17:28:01 +0000

kscreenlocker (5.7.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 19 Jul 2016 13:46:34 +0000

kscreenlocker (5.7.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 16:06:04 +0000

kscreenlocker (5.7.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Jul 2016 22:21:55 +0200

kscreenlocker (5.7.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 04 Jul 2016 13:15:31 +0000

kscreenlocker (5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Jun 2016 09:29:48 +0200

kscreenlocker (5.6.5-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Jun 2016 14:15:05 +0000

kscreenlocker (5.6.4-2) unstable; urgency=medium

  * Add even more missing epochs.
    Thanks to Andreas Beckmann for reporting (Closes: 814152)
  * Drop a=summary from vcs browser field.
    Thanks to Andreas Beckmann for reporting

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 21:59:02 +0200

kscreenlocker (5.6.4-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Missing epoch in plasma-workspace breaks/replaces. (Closes: #814152)
  * New upstream release (5.5.5).
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Fix break/replaces against the l10n packages
  * Add upstream metadata (DEP-12)
  * Update install files.

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:54:48 +0200

kscreenlocker (5.6.4-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 May 2016 09:41:33 +0000

kscreenlocker (5.6.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 19 Apr 2016 16:56:32 +0000

kscreenlocker (5.6.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Apr 2016 11:43:30 +0000

kscreenlocker (5.5.4-1) experimental; urgency=medium

  [Rohan Garg]
  * Initial release

  [Scarlett Clark]
  * Add missing dependency for plasma-framework-dev
  * Few more missing dependencies.
  * Add some descriptions.
  * Add XtestSuite.
  * Add test files.
  * Clean up tests. Disable tests at buildtime.
  * Adjust install file.

  [ Maximiliano Curia ]
  * New upstream release (5.5.0)
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:49:06 +0100

kscreenlocker (5.5.4-0ubuntu1) UNRELEASED; urgency=medium

  [Rohan Garg]
  * Initial release

  [Scarlett Clark]
  * Add missing dependency for plasma-framework-dev
  * Few more missing dependencies.
  * Add some descriptions.
  * Add XtestSuite.
  * Add test files.
  * Clean up tests. Disable tests at buildtime.
  * Adjust install file.

  [ Maximiliano Curia ]
  * New upstream release (5.5.0)
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).

  [ Philip Muškovac ]
  * libkscreenlocker5 breaks/replaces plasma-workspace << 4:5.5~ 
  * kde-config-screenlocker breaks/replaces plasma-workspace << 4:5.5~ 

  [ Clive Johnston ]
  * New upstream release
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 27 Jan 2016 20:11:13 +0000

=== debian/control ===
Source: kscreenlocker
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.18.0~),
               libkf5crash-dev (>= 5.18.0~),
               libkf5declarative-dev (>= 5.18.0~),
               libkf5globalaccel-dev (>= 5.18.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5idletime-dev (>= 5.18.0~),
               libkf5kcmutils-dev (>= 5.18.0~),
               libkf5kdelibs4support-dev (>= 5.18.0~),
               libkf5notifications-dev (>= 5.15.0~),
               libkf5plasma-dev (>= 5.18.0~),
               libkf5solid-dev (>= 5.15.0~),
               libkf5textwidgets-dev (>= 5.15.0~),
               libkf5wayland-dev (>= 4:5.5.1~),
               libkf5windowsystem-dev (>= 5.15.0~),
               libkf5xmlgui-dev (>= 5.15.0~),
               libpam0g-dev,
               libqt5x11extras5-dev (>= 5.4.0~),
               libwayland-dev (>= 1.3~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/kscreenlocker
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/kscreenlocker.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/kscreenlocker.git

Package: kscreenlocker-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkscreenlocker5 (= ${binary:Version}), ${misc:Depends}
Breaks: plasma-workspace-dev (<= 4:5.5.0~)
Replaces: plasma-workspace-dev (<= 4:5.5.0~)
Description: Development files for kscreenlocker
 Library and components for secure lock screen architecture.
 .
 This package contains development files for kscreenlocker.

Package: libkscreenlocker5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-config-screenlocker
Breaks: kwin-common (<< 4:5.8), plasma-workspace (<< 4:5.8)
Replaces: plasma-workspace (<= 4:5.5.0~)
Multi-Arch: same
Description: Secure lock screen architecture
 Library and components for secure lock screen architecture.

Package: kde-config-screenlocker
Architecture: any
Depends: libkscreenlocker5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-workspace (<= 4:5.5.0~), ${kde-l10n:all}
Replaces: plasma-workspace (<= 4:5.5.0~), ${kde-l10n:all}
Description: KCM Module for kscreenlocker
 KDE systemsettings module to configure kscreenlocker

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox,
         kded5, libkf5service-bin
Restrictions: rw-build-tree

## kscreenlocker 5.9.4

=== debian/changelog ===
kscreenlocker (5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:57:12 +0000

kscreenlocker (5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:51:10 +0000

kscreenlocker (5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:04:16 +0000

kscreenlocker (5.9.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Use the build-needed restriction instead of rebuilding the package
    instead of rebuilding the package in debian/tests/testuite.

  [ Rik Mills ]
  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:19:12 +0000

kscreenlocker (5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:54:42 +0000

kscreenlocker (5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:44:30 +0000

kscreenlocker (5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Remove undesired debian Breaks after merge

  [ Simon Quigley ]
  * New upstream release (5.8.3)
  * Merge from Debian

  [ Rik Mills ]
  * New upstream release (5.8.4)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:53:54 +0000

=== debian/control ===
Source: kscreenlocker
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5idletime-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5plasma-dev (>= 5.31.0~),
               libkf5solid-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wayland-dev (>= 4:5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libpam0g-dev,
               libqt5x11extras5-dev (>= 5.6.1~),
               libwayland-dev (>= 1.3~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/kscreenlocker
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker

Package: kscreenlocker-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkscreenlocker5 (= ${binary:Version}), ${misc:Depends}
Breaks: plasma-workspace-dev (<= 4:5.5.0~)
Replaces: plasma-workspace-dev (<= 4:5.5.0~)
Description: Development files for kscreenlocker
 Library and components for secure lock screen architecture.
 .
 This package contains development files for kscreenlocker.

Package: libkscreenlocker5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-config-screenlocker
Breaks: plasma-workspace (<= 4:5.5.0~)
Replaces: plasma-workspace (<= 4:5.5.0~)
Description: Secure lock screen architecture
 Library and components for secure lock screen architecture.

Package: kde-config-screenlocker
Architecture: any
Depends: libkscreenlocker5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-workspace (<= 4:5.5.0~), ${kde-l10n:all}
Replaces: plasma-workspace (<= 4:5.5.0~), ${kde-l10n:all}
Description: KCM Module for kscreenlocker
 KDE systemsettings module to configure kscreenlocker

## kscreenlocker 5.9.5

=== debian/changelog ===
kscreenlocker (5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:15:36 +0100

## kscreenlocker 5.10.5.1

=== debian/changelog ===
kscreenlocker (5.10.5.1-0ubuntu2) artful; urgency=medium

  * Add upstream_fix_test_regression_with_glibc_2.26.patch
    KDE Bug: 384651

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Sep 2017 19:45:54 +0100

kscreenlocker (5.10.5.1-0ubuntu1) artful; urgency=critical

  * New upstream emergency bugfix release (just for this package) (5.10.5.1).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Aug 2017 22:10:36 -0500

kscreenlocker (5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:39:18 +0100

kscreenlocker (5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:37:11 +0100

kscreenlocker (5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:15:46 +0100

kscreenlocker (5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:11:57 +0100

kscreenlocker (5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:08:39 +0100

kscreenlocker (5.10.0-0ubuntu3) artful; urgency=medium

  * debian/patches: Add upstream_fix_protocol_mismatch.patch;
    Without this patch, accidentally entering a blank password in the
    session lockscreen can leave users unable to graphically unlock
    their sessions, even with the correct password.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 04 Jun 2017 21:53:52 +0100

kscreenlocker (5.10.0-0ubuntu2) artful; urgency=medium

  * Temporarily disable failing tests, which pass and do not
    time out, except when run on ubuntu test infra.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 19:01:53 +0100

kscreenlocker (5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:48:58 +0100

kscreenlocker (5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:30:56 +0100

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,24 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5crash-dev (>= 5.31.0~),
-               libkf5declarative-dev (>= 5.31.0~),
-               libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5idletime-dev (>= 5.31.0~),
-               libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5notifications-dev (>= 5.31.0~),
-               libkf5plasma-dev (>= 5.31.0~),
-               libkf5solid-dev (>= 5.31.0~),
-               libkf5textwidgets-dev (>= 5.31.0~),
-               libkf5wayland-dev (>= 4:5.31.0~),
-               libkf5windowsystem-dev (>= 5.31.0~),
-               libkf5xmlgui-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.36.0~),
+               libkf5crash-dev (>= 5.36.0~),
+               libkf5declarative-dev (>= 5.36.0~),
+               libkf5globalaccel-dev (>= 5.36.0~),
+               libkf5i18n-dev (>= 5.36.0~),
+               libkf5idletime-dev (>= 5.36.0~),
+               libkf5kcmutils-dev (>= 5.36.0~),
+               libkf5kdelibs4support-dev (>= 5.36.0~),
+               libkf5notifications-dev (>= 5.36.0~),
+               libkf5plasma-dev (>= 5.36.0~),
+               libkf5solid-dev (>= 5.36.0~),
+               libkf5textwidgets-dev (>= 5.36.0~),
+               libkf5wayland-dev (>= 4:5.36.0~),
+               libkf5windowsystem-dev (>= 5.36.0~),
+               libkf5xmlgui-dev (>= 5.36.0~),
                libpam0g-dev,
                libqt5x11extras5-dev (>= 5.6.1~),
+               libseccomp-dev,
                libwayland-dev (>= 1.3~),
                libx11-dev,
                libxcb-keysyms1-dev,

## kscreenlocker 5.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,25 +1,65 @@
-set(PROJECT_VERSION "5.5.5")
+set(PROJECT_VERSION "5.12.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 
-set(QT_MIN_VERSION "5.4.0")
-set(KF5_MIN_VERSION "5.15.0")
+set(QT_MIN_VERSION "5.9.0")
+set(KF5_MIN_VERSION "5.42.0")
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Widgets Quick QuickWidgets Test)
 find_package(ECM 1.8.0 REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 include(CheckIncludeFiles)
 include(ECMMarkNonGuiExecutable)
 include(ECMPackageConfigHelpers)
+include(FeatureSummary)
+include(GenerateExportHeader)
+
+include(CheckIncludeFile)
+include(CheckSymbolExists)
+check_include_file("sys/prctl.h" HAVE_SYS_PRCTL_H)
+check_symbol_exists(PR_SET_DUMPABLE "sys/prctl.h" HAVE_PR_SET_DUMPABLE)
+check_include_file("sys/procctl.h" HAVE_SYS_PROCCTL_H)
+check_symbol_exists(PROC_TRACE_CTL "sys/procctl.h" HAVE_PROC_TRACE_CTL)
+if (HAVE_PR_SET_DUMPABLE OR HAVE_PROC_TRACE_CTL)
+  set(CAN_DISABLE_PTRACE TRUE)
+endif ()
+add_feature_info("prctl/procctl tracing control"
+                 CAN_DISABLE_PTRACE
+                 "Required for disallowing ptrace on greeter and kcheckpass process")
+
+check_include_file("sys/signalfd.h" HAVE_SIGNALFD_H)
+if (NOT HAVE_SIGNALFD_H)
+    check_include_files("sys/types.h;sys/event.h" HAVE_EVENT_H)
+endif ()
+if (NOT (HAVE_SIGNALFD_H OR HAVE_EVENT_H))
+    message(FATAL_ERROR "kcheckpass either needs signalfd() or kevent()&sigtimedwait() to work")
+endif ()
+add_feature_info("sys/signalfd.h"
+                 HAVE_SIGNALFD_H
+                 "Use the signalfd() api for signalhandling")
+add_feature_info("sys/event.h"
+                 HAVE_EVENT_H
+                 "Use the kevent() and sigwaitinfo() api for signalhandling")
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
-                    Plasma KCMUtils Declarative IdleTime KDELibs4Support Crash GlobalAccel)
+                    Crash
+                    Declarative
+                    GlobalAccel
+                    I18n
+                    IdleTime
+                    KCMUtils
+                    Notifications
+                    Solid
+                    TextWidgets
+                    WindowSystem
+                    XmlGui
+                    )
 
 find_package(X11)
 set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
@@ -27,7 +67,7 @@
                         TYPE REQUIRED
                         PURPOSE "Required for building the X11 based workspace")
 
-find_package(XCB MODULE REQUIRED COMPONENTS XCB KEYSYMS)
+find_package(XCB MODULE REQUIRED COMPONENTS XCB KEYSYMS XTEST)
 set_package_properties(XCB PROPERTIES TYPE REQUIRED)
 add_feature_info("XInput" X11_Xinput_FOUND "Required for grabbing XInput2 devices in the screen locker")
 
@@ -44,6 +84,25 @@
                        TYPE REQUIRED
                        PURPOSE "Required for building screenlocker")
 
+find_package(loginctl)
+set_package_properties(loginctl PROPERTIES
+    URL "https://www.freedesktop.org/software/systemd/man/loginctl.html"
+    DESCRIPTION "Send control commands to the login manager"
+    TYPE RUNTIME
+    PURPOSE "Needed for emergency unlock in case that the greeter is broken. In case your distribution does not provide loginctl please contact plasma-devel@kde.org to discuss alternatives."
+    )
+
+option(PAM_REQUIRED "Require building with PAM" ON)
+
+find_package(Seccomp)
+set_package_properties(Seccomp PROPERTIES
+    TYPE
+        OPTIONAL
+    PURPOSE
+        "Used for putting the look'n'feel package in the greeter into a sandbox."
+)
+set(HAVE_SECCOMP ${Seccomp_FOUND})
+
 include(ConfigureChecks.cmake)
 
 configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
@@ -71,7 +130,7 @@
 
 set(screensaver_dbusXML dbus/org.freedesktop.ScreenSaver.xml)
 set(kscreensaver_dbusXML dbus/org.kde.screensaver.xml)
-set(powerdevilpolicyagent_xml ${KDE4_DBUS_INTERFACES_DIR}/kf5_org.kde.Solid.PowerManagement.PolicyAgent.xml)
+set(powerdevilpolicyagent_xml dbus/kf5_org.kde.Solid.PowerManagement.PolicyAgent.xml)
 
 set(ksld_SRCS
    abstractlocker.cpp
@@ -82,6 +141,8 @@
    waylandlocker.cpp
    logind.cpp
    waylandserver.cpp
+   powermanagement.cpp
+   powermanagement_inhibition.cpp
 )
 qt5_add_dbus_adaptor(ksld_SRCS ${screensaver_dbusXML} interface.h ScreenLocker::Interface)
 qt5_add_dbus_adaptor(ksld_SRCS ${kscreensaver_dbusXML} interface.h ScreenLocker::Interface kscreensaveradaptor KScreenSaverAdaptor)
@@ -104,11 +165,10 @@
    KF5::IdleTime
    KF5::GlobalAccel
    KF5::Notifications
-   KF5::XmlGui
-   KF5::Crash
+   KF5::CoreAddons
+   KF5::ConfigGui
    KF5::WindowSystem
    ${X11_LIBRARIES}
-   ${X11_Xcursor_LIB}
    XCB::XCB
    XCB::KEYSYMS
    KF5::WaylandServer

=== kcm/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"screenlocker_kcm\")

set(screenlocker_kcm_SRCS
    kcm.cpp
    ../greeter/wallpaper_integration.cpp
    ../greeter/lnf_integration.cpp
)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../)

ki18n_wrap_ui(screenlocker_kcm_SRCS kcm.ui)
kconfig_add_kcfg_files(screenlocker_kcm_SRCS ../kcfg/kscreensaversettings.kcfgc)
qt5_add_dbus_interface(screenlocker_kcm_SRCS ../dbus/org.kde.screensaver.xml screenlocker_interface)
qt5_add_resources( screenlocker_kcm_SRCS resources.qrc )

add_library(screenlocker_kcm MODULE ${screenlocker_kcm_SRCS})

target_link_libraries(screenlocker_kcm
    Qt5::DBus
    Qt5::QuickWidgets
    KF5::ConfigWidgets
    KF5::I18n
    KF5::TextWidgets
    KF5::GlobalAccel
    KF5::Package
    KF5::XmlGui
    KF5::Declarative
)

kcoreaddons_desktop_to_json(screenlocker_kcm screenlocker.desktop SERVICE_TYPES kcmodule.desktop)

install(
    TARGETS
        screenlocker_kcm
    DESTINATION
        ${KDE_INSTALL_PLUGINDIR}
)

install(
    FILES
        screenlocker.desktop
    DESTINATION
        ${KDE_INSTALL_KSERVICES5DIR}
)

=== debian/changelog ===
kscreenlocker (5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:53:11 +0100

kscreenlocker (5.12.3-0ubuntu1) bionic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Import libkscreenlocker5.postinst from Neon. This restarts the screenlocker
    on upgrades so that would avoid an ugly black screen telling you that the
    screen locker is broken.

  [ Rik Mills ]
  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:49:08 +0000

kscreenlocker (5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:42:43 +0000

kscreenlocker (5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:12:47 +0000

kscreenlocker (5.12.0-0ubuntu3) bionic; urgency=medium

  * Add i386 to last change

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 07 Feb 2018 18:22:58 +0000

kscreenlocker (5.12.0-0ubuntu2) bionic; urgency=medium

  * Don't try to build secomp test on arm*

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 07 Feb 2018 08:57:12 +0000

kscreenlocker (5.12.0-0ubuntu1) bionic; urgency=medium

  * Drop upstream patch now in 5.12 branch
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:50:13 +0000

kscreenlocker (5.11.95-0ubuntu1) NRELEASED; urgency=medium

  * New upstream release (5.11.95)
  * Add upstream patch to fix build on arm64;
    - 0001-Fix-building-autotest-on-platforms-where-syscalls-ar.patch

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 15 Jan 2018 16:10:30 +0000

kscreenlocker (5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:38:55 +0000

kscreenlocker (5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:14:59 -0600

kscreenlocker (5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:58:22 +0000

=== debian/control ===
Source: kscreenlocker
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.42.0~),
               libkf5crash-dev (>= 5.42.0~),
               libkf5declarative-dev (>= 5.42.0~),
               libkf5globalaccel-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5idletime-dev (>= 5.42.0~),
               libkf5kcmutils-dev (>= 5.42.0~),
               libkf5kdelibs4support-dev (>= 5.42.0~),
               libkf5notifications-dev (>= 5.42.0~),
               libkf5plasma-dev (>= 5.42.0~),
               libkf5solid-dev (>= 5.42.0~),
               libkf5textwidgets-dev (>= 5.42.0~),
               libkf5wayland-dev (>= 4:5.42.0~),
               libkf5windowsystem-dev (>= 5.42.0~),
               libkf5xmlgui-dev (>= 5.42.0~),
               libpam0g-dev,
               libqt5x11extras5-dev (>= 5.6.1~),
               libseccomp-dev [!i386 !armhf !arm64],
               libwayland-dev (>= 1.3~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/kscreenlocker
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker

Package: kde-config-screenlocker
Architecture: any
Depends: libkscreenlocker5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-workspace (<= 4:5.5.0~), ${kde-l10n:all}
Replaces: plasma-workspace (<= 4:5.5.0~), ${kde-l10n:all}
Description: KCM Module for kscreenlocker
 KDE systemsettings module to configure kscreenlocker

Package: kscreenlocker-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkscreenlocker5 (= ${binary:Version}), ${misc:Depends}
Breaks: plasma-workspace-dev (<= 4:5.5.0~)
Replaces: plasma-workspace-dev (<= 4:5.5.0~)
Description: Development files for kscreenlocker
 Library and components for secure lock screen architecture.
 .
 This package contains development files for kscreenlocker.

Package: libkscreenlocker5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-config-screenlocker
Breaks: plasma-workspace (<= 4:5.5.0~)
Replaces: plasma-workspace (<= 4:5.5.0~)
Description: Secure lock screen architecture
 Library and components for secure lock screen architecture.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:4.14.0-2

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/plasma/([\d.]+)/kscreenlocker-([\d.]+)\.tar\.xz
